# This function is the main loop for non-achievement functionality of the Horsebones vanilla mod.
# It should be triggered every game loop. The main way to do this is to run the command (without the preceding "# "):
# /gamerule gameLoopFunction ricarthal:horsebones/loop
# Alternatively, the gameLoopFunction could be another function which includes the line (without the preceding "# "):
# function ricarthal:horsebones/loop
# 
# Tag and process any Saddle of Summoning items
scoreboard players tag @e[type=Item,tag=!ricarthalSaddleOfSummoningItemInvulnerable] add ricarthalSaddleOfSummoningItem {Item:{id:"minecraft:saddle",tag:{display:{Name:"Saddle of Summoning"},ench:[{Id:49,Lvl:2}],HideFlags:1}}}
function ricarthal:horsebones/item_saddle_of_summoning if @e[type=item,tag=ricarthalSaddleOfSummoningItem]
# 
# Set up newly summoned skeleton horses
function ricarthal:horsebones/init if @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorseFresh]
# 
# Process any existing summoned skeleton horses
function ricarthal:horsebones/active if @e[type=Skeleton_Horse,tag=ricarthalSummonedSkeletonHorse]
#
# Check if any horses are wearing the Imbued Saddle, and if so make the Horseman appear
scoreboard players tag @e[type=Horse] add ricarthalHorseWithImbuedSaddle {SaddleItem:{id:"minecraft:saddle",tag:{display:{Name:"Imbued Saddle",Lore:["A powerful saddle bursting with arcane energy.","Putting this on a horse could kill it... (IV of IV)"]},ench:[{Id:49,Lvl:2}],HideFlags:1}}}
function ricarthal:horsebones/ritual_5 if @e[type=Horse,tag=ricarthalHorseWithImbuedSaddle]
#
# Kill any skeleton horses belonging to the Horseman that aren't being ridden
function ricarthal:horsebones/horsemans_skeleton_horse if @e[type=Skeleton_Horse,tag=ricarthalHorsemansSkeletonHorse]
#
# Make the Dusty Saddle, which summoned skeleton horses wear, disappear if it's in a player's inventory
clear @a saddle 0 1 {display:{Name:"Dusty Saddle",Lore:["A weathered saddle covered in bonemeal.","Looks too fragile to remove."]}}
#
# Kill item entities of the Dusty Saddle
scoreboard players tag @e[type=Item] add ricarthalDustySaddleItem {Item:{id:"minecraft:saddle",tag:{display:{Name:"Dusty Saddle",Lore:["A weathered saddle covered in bonemeal.","Looks too fragile to remove."]}}}}
function ricarthal:horsebones/dusty_saddle if @e[type=Item,tag=ricarthalDustySaddleItem]